<?xml version="1.0" encoding="UTF-8"?>
<component name="TimeGridView" extends="BaseGroup" initialFocus="epgGrid">
    <interface>
	    <field id="content" type="node" alias="epgGrid.content" />
		<field id="category" type="node" alias="categoryList.content" />
		<field id="categorySelected" type="intarray" alwaysnotify="true" alias="categoryList.itemSelected" />
		<field id="categoryFocused" type="integer" alias="categoryList.itemFocused" alwaysNotify="true"/>
        <field id="contentStartTime" type="integer" alias="epgGrid.contentStartTime" />
		<field id="nowTime" type="integer" />
        <field id="rowItemSelected" type="array" alwaysNotify="true" onChange="viewPrograma" />
		<field id="channelSelected" type="intarray" alwaysnotify="true" alias="epgGrid.channelSelected" />
		<field id="showInfo" type="boolean" alwaysNotify="true"/>
		<field id="showAdult" type="boolean" alwaysNotify="true"/>
        <function name="expandMenu" />
        <function name="collapseMenu" />
    </interface>
    <script type="text/brightscript" uri="TimeGridView.brs" />
    <children>
        <Rectangle id="blending" opacity="0.5" color="0x000000EE"/>
        <Group id="group" translation="[60,100]">
		   <Poster id="poster" width="300" height="240" loadWidth = "300" loadHeight = "240" loadDisplayMode="limitSize" failedBitmapUri="pkg:/images/channel.png"/>
           <Label id="title" translation="[400,20]" >
               <Font role="font" size="60" uri="pkg:/fonts/Largebold.ttf" />
           </Label>
           <Label id="infoTimer" horizAlign = "center" vertAlign = "center" translation="[330,90]"  >
               <Font role="font" size="27" uri="pkg:/fonts/Largebold.ttf" />
           </Label>
           <Rectangle id = "progressBarBack" width="200" height = "8" color = "0x666666" translation="[330,125]" visible="false">
             <Rectangle
               id = "progressBar"
               color = "0xdb4d3a"
               width = "0"
               height = "8"
               inheritParentOpacity = "false"
             />
           </Rectangle>
           <Label id="info" translation="[330,135]">
               <Font role="font" size="27" uri="pkg:/fonts/Lato-Bold.ttf" />
           </Label>
           <Label id="description" width="750" translation="[330,166]" wrap="true">
               <Font role="font" size="26" uri="pkg:/fonts/Lato-Bold.ttf" />
           </Label>
        </Group>
        <Rectangle id = "GroupGuia" color = "#121212" opacity = "0.9" translation = "[0, 700]" visible="false">
	        <Rectangle id = "epgLineUp" width = "330" height = "1" color = "#7C7C7C" />
			<Label id="tituloCat"/>
	        <LabelList id="categoryList" itemSpacing = "[0, 7]" itemSize = "[320, 70]" translation="[50,105]" numRows="7" wrapDividerBitmapUri = "" wrapDividerHeight = "0" sectionDividerHeight = "70"/>
            <TimeGrid
                id="epgGrid"
		        channelInfoComponentName = "TimeGridChannelItem"
		        channelInfoFocusable = "false"
                showPastTimeScreen = "true"
                pastTimeScreenBlendColor = "#7c7c7c"
                channelInfoWidth  = "300"
		        nowBarWidth = "15"
				numRows = "7"
                maxDays = "2"
				automaticLoadingDataFeedback = "false"
				fillProgramGaps = "false"
                nowBarBlendColor = "#ff0000"
                translation = "[400, 120]" 
		        vertFocusAnimationStyle="fixedFocusWrap"
				channelInfoBackgroundBitmapUri=""
				programBackgroundBitmapUri=""
				timeBarHeight = "80"
		        visible="false">
			    <BusySpinner id="spinner" translation = "[750, 180]" clockwise="true" spinInterval="0.8" uri="pkg:/images/loader.png" visible="false"/>
            </TimeGrid>
			<Poster id="avisoFav" width = "350" height = "40" translation = "[500, 65]" uri="pkg:/images/icons/aviso.png" opacity = "0">
	           <LayoutGroup id="avisoGroup" layoutDirection="horiz" itemSpacings="[5]" vertAlignment="custom" translation="[20, 2.5]">
		          <Label text="*" font = "font:SmallSystemFont" translation="[0, 7.5]" >
                      <Font role="font" size="25" uri="pkg:/fonts/Lato-Bold.ttf" />
                  </Label>
				  <Label id="tituloFav" text="obciones para favoritos" font = "font:SmallSystemFont" >
                      <Font role="font" size="25" uri="pkg:/fonts/Lato-Bold.ttf" />
                  </Label>
	           </LayoutGroup>
			</Poster>
		    <Rectangle id = "epgLineLeft" height = "640" width = "1" color = "#7C7" translation = "[350, 0]"/>
        </Rectangle>
		
        <LayoutGroup id="InfoFuntion" layoutDirection="horiz" vertAlignment="center" horizAlignment="center" itemSpacings="[20]"  translation = "[1330, 650]">
           <Poster id="izqu-cont" uri="pkg:/images/icons/izqu-cont.png"/>
		   <Label id = "LabelGuia2" horizAlign  = "center" vertAlign   = "center">
                <Font role="font" size="30" uri="pkg:/fonts/Largebold.ttf" />
           </Label>
           <Poster id="derc-cont" uri="pkg:/images/icons/derc-cont.png"/>
		   <Label id = "LabelGuia3" horizAlign  = "center" vertAlign   = "center">
                <Font role="font" size="30" uri="pkg:/fonts/Largebold.ttf" />
           </Label>
           <Poster id="play-cont" uri="pkg:/images/icons/play-cont.png"/>
		   <Label id = "LabelGuia4" horizAlign  = "center" vertAlign   = "center">
                <Font role="font" size="30" uri="pkg:/fonts/Largebold.ttf" />
           </Label>
           <Poster id="ok-cont" uri="pkg:/images/icons/ok-cont.png"/>
		   <Label id="LabelGuia5" horizAlign = "center" vertAlign = "center" >
                <Font role="font" size="30" uri="pkg:/fonts/Largebold.ttf" />
           </Label>
        </LayoutGroup>
       <Poster 
	       id="stbSignal" 
		   width = "600" 
		   height = "325" 
		   uri="pkg:/images/no_signal.png" 
		   translation = "[1260,50]"
           visible="false"/>
		   
       <Video
           id="Video"
		   translation = "[1260,50]"
		   width = "600"
		   height = "325"
           enableUI="false"
		   enableTrickPlay="false"
		   visible="false"/>
		   
       <Rectangle 
	       id="RectLoading" 
		   color = "0x000000FF" 
		   opacity = "0.9" 
		   height = "50" 
		   width="600" 
		   translation = "[1260,220]"
		   visible="false"/>
		   
       <Label 
	       id="videoLoading" 
		   horizAlign = "center" 
		   vertAlign = "center" 
		   width="600" 
		   translation="[1265,220]" 
		   font="font:SmallBoldSystemFont" 
		   visible="false"/>

       <Rectangle
			id = "InfoBar"
			height = "250"
			color = "0x000000FF"
			opacity = "0.9">
            <Rectangle height = "250" width="300" color = "0xFFFFFFFF" opacity = "0.5"/>
            <Label id="TitleInfo" width = "250" horizAlign = "center" vertAlign = "center" translation="[20,25]" color = "0x000000FF" >
                <Font role="font" size="50" uri="pkg:/fonts/Largebold.ttf" />
            </Label>
            <Label id="TitleProgram" translation="[340,25]" >
                <Font role="font" size="45" uri="pkg:/fonts/Largebold.ttf" />
            </Label>
            <Label id="TimerInfo" >
                <Font role="font" size="40" uri="pkg:/fonts/Largebold.ttf" />
            </Label>
			<Poster id="posterInfo" width="190" height="150" loadWidth = "190" loadHeight = "150" loadDisplayMode="limitSize" translation = "[50,80]" failedBitmapUri="pkg:/images/channel.png"/>
            <Label id="TimerProgram" horizAlign = "center" vertAlign = "center" translation="[340,90]"  >
                <Font role="font" size="27" uri="pkg:/fonts/Largebold.ttf" />
            </Label>
            <Rectangle id = "progressBarBackInfo" width="200" height = "8" color = "0x666666" translation="[340,125]" visible="false">
              <Rectangle
                id = "progressBarInfo"
                color = "0xdb4d3a"
                width = "0"
                height = "8"
                inheritParentOpacity = "false"
              />
            </Rectangle>
            <Label id="descProgram" width="750" translation="[340,140]"  wrap="true">
                <Font role="font" size="30" uri="pkg:/fonts/Largebold.ttf" />
            </Label>
       </Rectangle>
	  
       <Animation
			id = "ShowBar"
			repeat = "false"
			duration = ".2"
			easeFunction = "linear">
			<Vector2DFieldInterpolator 
				fieldToInterp = "InfoBar.translation"
				key = "[0,1]"
				keyValue = "[[0,1080],[0,830]]"/>
       </Animation>
	   
       <Animation
			id = "HideBar"
			repeat = "false"
			duration = ".2"
			easeFunction = "linear">
			<Vector2DFieldInterpolator 
				fieldToInterp = "InfoBar.translation"
				key = "[0,1]"
				keyValue = "[[0,830],[0,1080]]"/>
       </Animation>
	  
       <Animation id="fadeoutAnimationFav" repeat="false" duration="0.5">
           <FloatFieldInterpolator key="[0.0, 1.0]" keyValue="[1.0, 0.0]" fieldToInterp="avisoFav.opacity"/>
       </Animation>

       <Animation id="ShowAdFav" repeat="false" duration="0.5">
           <FloatFieldInterpolator key="[0.0, 1.0]" keyValue="[0.0, 1.0]" fieldToInterp="avisoFav.opacity"/>
       </Animation>
	   
	   <StandardMessageDialog id="optionDialog" visible="false" />
	   
       <Label
			id = "Hint"
			height = "50"
			width = "600"
			font = "font:SmallBoldSystemFont"
			translation = "[1320,50]"/>
			
       <!-- Hide Info Bar Timer -->	  
       <Timer
		   id = "TimerBar"
		   repeat = "false"
		   duration = "5"/> 		   
       <!-- Hide Info Hint Timer -->	  
       <Timer
		   id = "TimerHint"
		   repeat = "false"
		   duration = "5"/> 
       <Timer 
		   id="TimerFav" 
		   repeat = "false"
		   duration="1" />
	  
    </children>
</component>